<script type="text/javascript">
jQuery('#ccs_search_form').on('submit', function(event) {
    event.preventDefault();
    submit_query();
});
jQuery('#btn_search').on('click', function() {
    jQuery('#ccs_search_form').submit();
});
function submit_query()
{
    var query = jQuery('#ccs_search_form').serialize();
    jQuery.ajax({
        type: "POST",
        url: "<!--{{CCS_URL}}-->/data/search_program_advance",
        data: {
            'lang': '<!--{{LANG}}-->',
            'query': query
        },
        dataType: "json"
    }).done(function(data) {
        $cnt = 0;
        $local_cnt = 0;
        jQuery.each(data, function(index, row) {
            $cnt++;
            $local_cnt += (row.program_scope == 'L' ? 1 : 0);
            jQuery('.search_result > table > tbody').append(
                '<tr>' +
                '<td>' + $cnt.toString() + '</td>' +
                (jQuery('#faculty_id').val() == '' ?
                    '<td>' + row.faculty_name + '</td>' :
                    '<td>' + row.studylevel_name + '</td>') +
                '<td>' +
                    '<a href="<!--{{SITE_URL}}-->' + '<!--{{PROGRAM_DETAILS_PAGE}}-->?<!--{{PROGRAM_ID_PARAM}}-->=' + row.program_id + '">' +
                    (row.program_scope == 'L' ? '<span style="color:red;">*</span>&nbsp;' : '')  +
                    ((row.program_code != '' && row.program_code != null) ? row.program_code + ': ' : '') +
                    row.program_name + '</a>' +
                '</td>' +
                '</tr>'
            );
        });
        showSearchFilter();
        if ($cnt > 0) {
            jQuery('.search_result').show();
            if ($local_cnt > 0) {
                jQuery('.ccs-note').show();
            }
            var page_title = jQuery('.fusion-page-title-captions > .entry-title');
            page_title.html('<!--{{SEARCH_RESULT}}-->');
        }
        if (jQuery('#faculty_id').val() != '')
        {
            jQuery('.search_result .th_faculty').html('<!--{{LEVEL_OF_STUDY}}-->');
        }
        jQuery('.reading-box-container-1').hide();
        jQuery('.new_search').show();
    }).fail(function(jqXHR, textStatus) {
    });
}
function showSearchFilter()
{
    var output = '';
    if (jQuery('#program_code').val() != '') {
        output += '<li>' + jQuery('.program_code').html() + ' ' + '<!--{{CONTAINS}}-->' + " '" + jQuery('#program_code').val() + "'" + '</li>';
    }
    if (jQuery('#program_name').val() != '') {
        output += '<li>' + jQuery('.program_name').html() + ' ' + '<!--{{CONTAINS}}-->' + " '" + jQuery('#program_name').val() + "'" + '</li>';
    }
    if (jQuery('#faculty_id').val() != '') {
        output += '<li>' + jQuery('.faculty_id').html() + ' ' + '<!--{{EQUALS}}-->' + " '" + jQuery('#faculty_id option:selected').text() + "'" + '</li>';
    }

    if (output != '')
    {
        output = '<h3><!--{{SEARCH_CRITERIA}}--></h3>' + '<ul>' + output + '</ul>';
        jQuery('.search_criteria').html(output);
        jQuery('.search_criteria').show();
    }
}
jQuery(document).ready(function() {
    jQuery('.new_search').hide();
});
jQuery('#btn_new_search').on('click', function() {
    jQuery('.new_search').hide();
    jQuery('.reading-box-container-1').show();
});
</script>
